## view.url
Class AEditTournamentURL

    java.lang.Object
      view.url.GoURL
          view.url.AEditTournamentURL

    public class AEditTournamentURL

extends GoURL

Constructor Summary
`AEditTournamentURL()` As above, but 'tid' automatically set to null, denoting the creation of a new tournament.
`AEditTournamentURL(ID tid)` Constructs the URL.

Method Summary

Methods inherited from class view.url.GoURL
`toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AEditTournamentURL

    public AEditTournamentURL(ID tid)

  Constructs the URL.

  Parameters:
    `tid` - the ID of the tournament to edit if null, the URL denotes the creation of a new tournament.

### AEditTournamentURL

    public AEditTournamentURL()

  As above, but 'tid' automatically set to null, denoting the creation of a new tournament.